Bug 1415549 - Plymouth shows RHEV-H7.2 after upgrade from RHEV-H7.2_3.x to 7.3_3.6.10 on the machine with multiple disks
Summary: Plymouth shows RHEV-H7.2 after upgrade from RHEV-H7.2_3.x to 7.3_3.6.10 on th...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-node
Version: 3.6.10
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-3.6.11
: ---
Assignee: Douglas Schilling Landgraf
QA Contact: Huijuan Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 03:07 UTC by Huijuan Zhao
Modified: 2017-03-28 13:05 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-28 13:05:34 UTC
oVirt Team: Node
Target Upstream Version:


Attachments (Terms of Use)
Screenshot of plymouth (12.16 KB, image/png)
2017-01-23 03:07 UTC, Huijuan Zhao
no flags Details
Sosreport and all logs (9.57 MB, application/x-gzip)
2017-01-23 03:09 UTC, Huijuan Zhao
no flags Details

Description Huijuan Zhao 2017-01-23 03:07:40 UTC
Created attachment 1243508 [details]
Screenshot of plymouth

Description of problem:
After upgrade from RHEVH 7.2_3.x to 7.3_3.6.10 on the machine with multiple disks, boot RHEVH 7.3_3.6.10, plymouth shows "Red Hat Enterprise Virtualization Hypervisor 7.2".
It should show "Red Hat Enterprise Virtualization Hypervisor 7.3"

Version-Release number of selected component (if applicable):
1. Before upgrade
rhevh-7.2-20160219.0.el6ev.iso
2. After upgrade
rhevh-7.3-20170118.0.el6ev.iso
ovirt-node-3.6.1-43.0.el7ev.noarch
kernel-3.10.0-514.6.1.el7.x86_64  

How reproducible:
Tested 3 times on iscsi machine and FC machine, all can reproduce.


Steps to Reproduce:
1. Install rhevh-7.2-20160219.0.el6ev.iso on iscsi disk
2. Reboot and login the host RHEVH 7.2, register host to RHEVM, and add iscsi storage to host in RHEVM side
3. Upgrade RHEVH to rhevh-7.3-20170118.0.el6ev.iso in RHEVM side
4. Reboot and login rhevh-7.3-20170118.0, focus on the plymouth

Actual results:
1. After step 4, it shows "Red Hat Enterprise Virtualization Hypervisor 7.2"

Expected results:
1. After step 4, It should show "Red Hat Enterprise Virtualization Hypervisor 7.3"

Additional info:
After step4, in rhevh-7.3-20170118.0,
# cat /etc/system-release-cpe
cpe:/o:redhat:enterprise_linux:7:update3:hypervisor

Comment 1 Huijuan Zhao 2017-01-23 03:09:20 UTC
Created attachment 1243509 [details]
Sosreport and all logs

Comment 3 Douglas Schilling Landgraf 2017-03-27 14:05:12 UTC
Hi 

Could you please double check if rhev-hypervisor7-7.3-20170324.0 fix this one?

Thanks!

Comment 4 Huijuan Zhao 2017-03-28 11:17:17 UTC
(In reply to Douglas Schilling Landgraf from comment #3)
> Hi 
> 
> Could you please double check if rhev-hypervisor7-7.3-20170324.0 fix this
> one?
> 
> Thanks!

Douglas, still encountered this issue in rhev-hypervisor7-7.3-20170324.0.

Test steps:
Upgrade from rhevh-7.2-20160920.1 to rhev-hypervisor7-7.3-20170324.0 in multipath FC machine with multiple FC/Local disks.

Comment 5 Sandro Bonazzola 2017-03-28 13:05:34 UTC
Being just a cosmetic issue, we're closing deferred, it will be fixed in next releases.


Note You need to log in before you can comment on or make changes to this bug.